# DaprError (dapr-sdk-parent 1.10.0 API)

Package io.dapr.exceptions

## Class DaprError

- java.lang.Object
- - io.dapr.exceptions.DaprError

    public class DaprError
    extends Object

Represents an error message from Dapr.

### Constructor Summary

Constructors
`DaprError()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getErrorCode()` Gets the error code.
`String` `getMessage()` Gets the error message.
`DaprError` `setErrorCode​(String errorCode)` Sets the error code.
`DaprError` `setMessage​(String message)` Sets the error message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DaprError

    public DaprError()

### Method Detail

#### getErrorCode

    public String getErrorCode()

Gets the error code.

Returns:
  Error code.

#### setErrorCode

    public DaprError setErrorCode​(String errorCode)

Sets the error code.

Parameters:
  `errorCode` - Error code.
Returns:
  This instance.

#### getMessage

    public String getMessage()

Gets the error message.

Returns:
  Error message.

#### setMessage

    public DaprError setMessage​(String message)

Sets the error message.

Parameters:
  `message` - Error message.
Returns:
  This instance.